aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/testenv.sh
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2014-12-21 07:38:33 +0100
committerTristan Gingold <tgingold@free.fr>2014-12-21 07:38:33 +0100
commit9a0c4d848946d6057722ca423d6096e20731404a (patch)
tree7e46ebac9e5a0f9c231b1390769df42e34927f71 /testsuite/testenv.sh
parent17d4852b72d3b488cb3aaacf5fe3767f56a8c089 (diff)
downloadghdl-9a0c4d848946d6057722ca423d6096e20731404a.tar.gz
ghdl-9a0c4d848946d6057722ca423d6096e20731404a.tar.bz2
ghdl-9a0c4d848946d6057722ca423d6096e20731404a.zip
vcd/fst: handle complex signals. Fix crash.
Diffstat (limited to 'testsuite/testenv.sh')
-rw-r--r--testsuite/testenv.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/testsuite/testenv.sh b/testsuite/testenv.sh
index 18ea18fd2..ed19a398b 100644
--- a/testsuite/testenv.sh
+++ b/testsuite/testenv.sh
@@ -22,6 +22,11 @@ GET_ENTITIES=../get_entities
# Exit in case of failure in shell scripts.
set -e
+if [ x$GHDL = x ]; then
+ echo "error: GHDL environment variable is not defined"
+ exit 4
+fi
+
# Analyze files (no error expected)
analyze ()
{